> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read merchant

>  

Read a specific merchant.


## OpenAPI

````yaml openapi/nexus/v1.yaml GET /merchants/{merchant_guid}
openapi: 3.0.0
info:
  contact:
    name: Nexus API
    url: https://www.mx.com
  version: 1.0.0
  title: Nexus API
  description: >-
    Legacy clients can use Nexus API for all their connectivity needs. If you
    are a new client refer to our Platform API. Review our [Nexus API
    Guides](/nexus) for more information.
servers:
  - url: https://int-data.moneydesktop.com/
  - url: https://data.moneydesktop.com/
security:
  - sessionToken: []
tags:
  - name: accounts
  - name: beats
  - name: budgets
  - name: categories
  - name: extended transaction history
  - name: goals
  - name: holdings
  - name: identity
  - name: insights
  - name: institutions
  - name: jobs
  - name: member credentials
  - name: members
  - name: merchants
  - name: microdeposits
  - name: monthly cash flow profile
  - name: notifications
  - name: scheduled payments
  - name: sessions
  - name: spending plan
  - name: taggings
  - name: tags
  - name: transaction rules
  - name: transactions
  - name: user
  - name: verification
paths:
  /merchants/{merchant_guid}:
    get:
      tags:
        - merchants
      summary: Read merchant
      description: Read a specific merchant.
      operationId: readMerchant
      parameters:
        - name: merchant_guid
          description: The unique identifier for the merchant. Defined by MX.
          example: MCH-ad6d3405-ec03-721d-b0ca-eeceeebcb8b5
          in: path
          required: true
          schema:
            type: string
        - name: page
          description: >-
            Results are returned in paginated sets, this is the page of the
            results you would like to view. Defaults to page 1 if no page is
            specified.
          example: 2
          in: query
          required: false
          schema:
            type: integer
        - name: records_per_page
          description: >-
            Requests to all list endpoints that return multiple transactions
            (e.g. list transactions) should specify the desired
            records_per_page. The supported range is from 10 to 1000. If the
            records_per_page parameter is not specified or is outside this
            range, a default of 25 records per page will be used.
          example: 100
          in: query
          required: false
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/vnd.mx.nexus.v1+json:
              schema:
                $ref: '#/components/schemas/MerchantResponseBody'
components:
  schemas:
    MerchantResponseBody:
      properties:
        merchant:
          $ref: '#/components/schemas/MerchantResponse'
      type: object
    MerchantResponse:
      properties:
        guid:
          example: MCH-ad6d3405-ec03-721d-b0ca-eeceeebcb8b5
          type: string
          description: Unique identifier for the merchant. Defined by MX.
        logo_updated_at:
          example: null
          description: >-
            The date and time the logo associated with this merchant was last
            updated, represented in ISO 8601 format with timestamp.
        logo_url:
          example: >-
            https://content.mx.com/logos/merchants/MCH-ad6d3405-ec03-721d-b0ca-eeceeebcb8b5.png
          type: string
          description: A URL which will return the merchant's logo.
        name:
          example: 1-800 Contacts
          type: string
          description: The name of the merchant.
        updated_at:
          example: '2022-05-20T20:15:36.000Z'
          type: string
          description: >-
            Date and time the merchant record was updated, represented in ISO
            8601 format with timestamp.
        website_url:
          example: https://www.1800contacts.com
          type: string
          description: The URL of the merchant's website.
        created_at:
          example: '2018-07-16T16:31:35.000Z'
          type: string
          description: >-
            Date and time the merchant record was created, represented in ISO
            8601 format with timestamp.
  securitySchemes:
    sessionToken:
      description: >
        ### MX Session Token 

        - Request an API token using the read API token endpoint in the MX SSO
        API.

        - Exchange an API token for a session token. 
          - A session token is obtained by sending a POST request to /sessions
          - The session token will be used in each request made for the user. It should be passed in an `MD-SESSION-TOKEN` HTTP header as shown below.
          - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
          - If you send a request with an expired session token you'll receive an error code of `4011`.

        ```

        curl -i https://int-data.moneydesktop.com/accounts \

        -H 'MD-SESSION-TOKEN:
        CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg'
        \

        -H 'Content-Type: application/vnd.mx.nexus.v1+json' \

        -H 'Accept: application/vnd.mx.nexus.v1+json'

        ```


        In documentation code examples, replace `<API_KEY_VALUE>` with the
        session token.
      type: apiKey
      name: MD-SESSION-TOKEN
      in: header

````